<script>
    // Dependencies
    import { scaleLinear, scaleRadial } from "d3-scale";
    import { radialArea } from "d3-shape";

    export let data;
    export let domain;

    // Size and margins
    const height = 250;
    const margin = { top: 10, right: 5, bottom: 10, left: 5 };
    const innerHeight = height - margin.top - margin.bottom;

    // Variables
    let radius = 75;
    let colorHeating = "#D70040";
    let colorCooling = "#4169E1";
    let perfectFit = innerHeight/3;

    // Scales
    let xScale = scaleLinear().domain([1, 365]).range([0, 2 * Math.PI]);
    let yScale = scaleRadial().domain(domain).range([0, radius]);

    // Radial Area
    let heating = radialArea().angle(item => xScale(item.day_of_year)).innerRadius(item => 0).outerRadius(item => yScale(item.heating));
    let cooling = radialArea().angle(item => xScale(item.day_of_year)).innerRadius(item => 0).outerRadius(item => yScale(item.cooling));

</script>


<g transform="translate({innerHeight/2.5}, 125)"> 
    <!-- Circle -->
    <circle cx={0} cy={0} r={radius} stroke="black" fill="white" stroke-width=1/>
    <!--  Vertical line -->
    <line id="v" x1={0} y1={-perfectFit} x2={0} y2={perfectFit} stroke="black"/>
    <!-- Horizontal line -->
    <line id="h" x1={-perfectFit} y1={0} x2={perfectFit} y2={0} stroke="black"/>
    <!-- Paths -->
    <path d={cooling(data)} fill={colorCooling} fill-opacity=0.5 stroke={colorCooling} stroke-opacity=1/>
    <path d={heating(data)} fill={colorHeating} fill-opacity=0.5 stroke={colorHeating} stroke-opacity=1/>

    <!-- X Axis Ticks -->
    <text font-size=15 text-anchor="middle" x={0} y={-perfectFit - 5}> 0 </text>
    <text font-size=15 text-anchor="middle" x={0} y={perfectFit + 15}> 6 </text>
    <text font-size=15 text-anchor="middle" x={perfectFit + 5} y={0}> 3 </text>
    <text font-size=15 text-anchor="middle" x={-perfectFit - 5} y={0}> 9 </text>
    
</g>
